Bug 602354 - RFE: add plugin hook after transaction has been verified
Summary: RFE: add plugin hook after transaction has been verified
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Karel Srot
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 16:56 UTC by Dennis Gregorovic
Modified: 2014-01-21 06:18 UTC (History)
4 users (show)

Fixed In Version: yum-3.2.27-10.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 22:00:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gregorovic 2010-06-09 16:56:00 UTC
The posttrans hook gets run after packages are added/removed, but before the yumdb has been updated.  This limits the ability to have a yum plugin that works off of the yumdb info.  Please add hooks before and after the yumdb info update.

Comment 2 James Antill 2010-06-09 17:32:57 UTC
 Ok, patch has gone upstream. Pretty simple IMO:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=344300ab4588a20ad0624c2d6610f1a313358661

...saying that we are planning on rebasing yum for 6.1, for CA gpgkeys ... but I think everything else RHSM wants will be in 6.0 (apart from this :).

Comment 4 Fedora Update System 2010-08-05 23:45:58 UTC
yum-3.2.28-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 releng-rhel@redhat.com 2010-11-10 22:00:47 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.